
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

sector_t depends on CONFIG_LBD but include/config.h may not be there thus
causing interesting breakage in some places...

Here's the fix for ppc32 (problem found by Roman Zippel, other archs need a
similar fix).


---

 25-akpm/include/asm-ppc/types.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/asm-ppc/types.h~ppc32-sector_t-fix include/asm-ppc/types.h
--- 25/include/asm-ppc/types.h~ppc32-sector_t-fix	2004-03-28 22:56:50.690126224 -0800
+++ 25-akpm/include/asm-ppc/types.h	2004-03-28 22:56:50.692125920 -0800
@@ -37,6 +37,8 @@ typedef unsigned short umode_t;
 
 #ifndef __ASSEMBLY__
 
+#include <linux/config.h>
+
 typedef signed char s8;
 typedef unsigned char u8;
 

_
